View Issue Details

IDProjectCategoryView StatusLast Update
0022528LazarusLCLpublic2012-08-05 22:48
ReporterClaudio Romero Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1 (SVN) 
Summary0022528: I can't edit a TComboBox with Style = csSimple under QT.
DescriptionTested with

Lazarus 0.9.30.1 svn 30041 fpc 2.4.2 Linux 32 bits QT 4.7.0
Lazarus 1.1 svn 38083 fpc 2.6.0 Linux 64 bits QT 4.7.0

Under Win32, Linux GTK2 work fine.

Upload example.

Regards
TagsNo tags attached.
Fixed in Revision38149
LazTarget-
WidgetsetQT
Attached Files

Activities

2012-07-29 19:54

 

project1.zip (129,345 bytes)

Vojtech Cihak

2012-07-29 20:19

reporter   ~0061284

Last edited: 2012-07-29 20:45

Yes, I can confirm that Qt behaves differently than GTK2.

Official documantation says:

Basic styles are
csSimple: edit box with a static list (no drop-down).
csDropDown: edit box with a drop-down list.
csDropDownList: strings can not be entered by the user, only selected from the drop-down list.

EDIT:
It seems that on Qt csSimple is the same as csDropDownList
and on GTK2 csSimple is the same as csDropDown.

Zeljan Rikalo

2012-08-04 10:56

developer   ~0061415

Please test and close if ok.

Claudio Romero

2012-08-05 22:48

reporter   ~0061441

Thanks.

Issue History

Date Modified Username Field Change
2012-07-29 19:54 Claudio Romero New Issue
2012-07-29 19:54 Claudio Romero File Added: project1.zip
2012-07-29 19:54 Claudio Romero Widgetset => QT
2012-07-29 20:19 Vojtech Cihak Note Added: 0061284
2012-07-29 20:45 Vojtech Cihak Note Edited: 0061284
2012-08-04 10:39 Zeljan Rikalo Status new => assigned
2012-08-04 10:39 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-08-04 10:56 Zeljan Rikalo Fixed in Revision => 38149
2012-08-04 10:56 Zeljan Rikalo LazTarget => -
2012-08-04 10:56 Zeljan Rikalo Status assigned => resolved
2012-08-04 10:56 Zeljan Rikalo Resolution open => fixed
2012-08-04 10:56 Zeljan Rikalo Note Added: 0061415
2012-08-05 22:48 Claudio Romero Status resolved => closed
2012-08-05 22:48 Claudio Romero Note Added: 0061441